%define upstream_name    Net-Nslookup
%define upstream_version 2.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Provide nslookup(1)-like capabilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::DNS)
BuildRequires: perl(Test::More) >= 0.450.0
BuildArch:  noarch

%description
Net::Nslookup provides the capabilities of the standard UNIX command line
tool nslookup(1). Net::DNS is a wonderful and full featured module, but
quite often, all you need is `nslookup $host`. This module provides that
functionality.

Net::Nslookup exports a single function, called 'nslookup'. 'nslookup' can
be used to retrieve A, PTR, CNAME, MX, and NS records.

  my $a  = nslookup(host => "use.perl.org", type => "A");

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# Tests depend on some external servers never changing IP. But they do.
#make test

%install
%make_install

%files
%doc COPYING META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 03 2017 akien <akien> 2.40.0-7.mga6
+ Revision: 1106045
- Properly disable checks

* Sun Jun 19 2016 pterjan <pterjan> 2.40.0-6.mga6
+ Revision: 1031210
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.40.0-5.mga6
+ Revision: 948912
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 2.40.0-4.mga5
+ Revision: 788609
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.40.0-3.mga5
+ Revision: 744806
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.40.0-2.mga5
+ Revision: 685693
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 2.40.0-1.mga5
+ Revision: 586415
- update to 2.04

* Sat Oct 19 2013 umeabot <umeabot> 2.30.0-2.mga4
+ Revision: 528723
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 2.30.0-1.mga4
+ Revision: 447057
- update to 2.03

* Fri Jun 07 2013 jquelin <jquelin> 2.20.0-1.mga4
+ Revision: 439635
- update to 2.02

* Thu Apr 25 2013 pterjan <pterjan> 2.10.0-3.mga3
+ Revision: 411181
- Disable the tests, they are broken

* Sun Jan 13 2013 umeabot <umeabot> 2.10.0-2.mga3
+ Revision: 370753
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 14 2011 jquelin <jquelin> 2.10.0-1.mga2
+ Revision: 154796
- update to 2.01
- update to 2.00

* Sun Jan 23 2011 jquelin <jquelin> 1.190.0-1.mga1
+ Revision: 34015
- mageia rebuild
- imported package perl-Net-Nslookup

